unit list;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, StdCtrls, Grids, DBGrids, RXDBCtrl, DBFilter;

type
  TListForm = class(TForm)
    TimeCTable: TTable;
    TimeCDataSource: TDataSource;
    RxDBGrid1: TRxDBGrid;
    PurgeButton: TButton;
    ClearButton: TButton;
    HelpButton: TButton;
    TimeCTableDATE: TDateField;
    TimeCTableDAYS: TStringField;
    TimeCTableTVD: TBooleanField;
    TimeCTableCOMMENTS: TStringField;
    CancelButton: TButton;
    TimeCRxDBFilter: TRxDBFilter;
    DaysRxDBFilter: TRxDBFilter;
    TVDRxDBFilter: TRxDBFilter;
    NotTVDRxDBFilter: TRxDBFilter;
    procedure CancelButtonClick(Sender: TObject);
    procedure HelpButtonClick(Sender: TObject);
    procedure ClearButtonClick(Sender: TObject);
    procedure PurgeButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ListForm: TListForm;

implementation
uses
  main, help, delete;

{$R *.DFM}

procedure TListForm.CancelButtonClick(Sender: TObject);
begin
  list.ListForm.TimeCTable.Delete;
  main.MainForm.CalcSummDays;

end; {procedure TListForm.DelButtonClick(Sender: TObject)}

procedure TListForm.HelpButtonClick(Sender: TObject);
begin
  if help.HelpForm.Showing = False then help.HelpForm.Show;
end;

procedure TListForm.ClearButtonClick(Sender: TObject);
begin
  delete.DelForm.ShowModal;
end;

procedure TListForm.PurgeButtonClick(Sender: TObject);
begin
  if Application.MessageBox('  ?',' ',MB_OKCANCEL) = IDOK then
    begin
      Delete.DelForm.Purge;
      ShowMessage(' '#13#10+'   ');
    end;  {Application.MessageBox(...) = IDOK then}

end;

end.
